Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.sql
Enum QSql.TableType

    java.lang.Object
      java.lang.Enum<QSql.TableType>
          com.trolltech.qt.sql.QSql.TableType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSql.TableType>

Enclosing interface:
  QSql

    public static enum QSql.TableType

extends java.lang.Enum<QSql.TableType>
implements QtEnumerator

This enum type describes types of SQL tables.

Enum Constant Summary
`AllTables` All of the above.
`SystemTables` Internal tables used by the database.
`Tables` All the tables visible to the user.
`Views` All the views visible to the user.

Method Summary
`static QSql.TableType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSql.TableType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSql.TableType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Tables

    public static final QSql.TableType Tables

  All the tables visible to the user.

### SystemTables

    public static final QSql.TableType SystemTables

  Internal tables used by the database.

### Views

    public static final QSql.TableType Views

  All the views visible to the user.

### AllTables

    public static final QSql.TableType AllTables

  All of the above.

Method Detail

### values

    public static final QSql.TableType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSql.TableType c : QSql.TableType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSql.TableType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSql.TableType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD